Sign Up

Sign Up to our social questions and Answers Engine to ask questions, answer people’s questions, and connect with other people.

Have an account? Sign In

Have an account? Sign In Now

Sign In

Login to our social questions & Answers Engine to ask questions answer people’s questions & connect with other people.

Sign Up Here

Forgot Password?

Don't have account, Sign Up Here

Forgot Password

Lost your password? Please enter your email address. You will receive a link and will create a new password via email.

Have an account? Sign In Now

You must login to ask a question.

Forgot Password?

Need An Account, Sign Up Here

Please briefly explain why you feel this question should be reported.

Please briefly explain why you feel this answer should be reported.

Please briefly explain why you feel this user should be reported.

Sign InSign Up

The Archive Base

The Archive Base Logo The Archive Base Logo

The Archive Base Navigation

  • SEARCH
  • Home
  • About Us
  • Blog
  • Contact Us
Search
Ask A Question

Mobile menu

Close
Ask a Question
  • Home
  • Add group
  • Groups page
  • Feed
  • User Profile
  • Communities
  • Questions
    • New Questions
    • Trending Questions
    • Must read Questions
    • Hot Questions
  • Polls
  • Tags
  • Badges
  • Buy Points
  • Users
  • Help
  • Buy Theme
  • SEARCH
Home/ Questions/Q 7494877
In Process

The Archive Base Latest Questions

Editorial Team
  • 0
Editorial Team
Asked: May 29, 20262026-05-29T17:49:37+00:00 2026-05-29T17:49:37+00:00

Consider foo.sh: #!/bin/bash function foo() { source another.sh echo This shouldn’t be executed. Return

  • 0

Consider foo.sh:

#!/bin/bash
function foo() {
   source another.sh
   echo "This shouldn't be executed. Return code: $?"
   return 0
}

foo
echo "Return code: $?"

Then another.sh:

echo "Inside another.sh"
return 1

Running ./foo.sh prints:

Inside another.sh
This shouldn't be executed. Return code: 1
Return code: 0

Is there an alternative method to include a source file into another such that the return command would return from the function enclosing include command rather than from the command itself?

  • 1 1 Answer
  • 0 Views
  • 0 Followers
  • 0
Share
  • Facebook
  • Report

Leave an answer
Cancel reply

You must login to add an answer.

Forgot Password?

Need An Account, Sign Up Here

1 Answer

  • Voted
  • Oldest
  • Recent
  • Random
  1. Editorial Team
    Editorial Team
    2026-05-29T17:49:42+00:00Added an answer on May 29, 2026 at 5:49 pm

    One option is to propagate the return code in foo.sh:

    source another.sh || return $?
    

    Then:

    $ ./foo.sh
    Inside another.sh
    Return code: 1
    

    Alternatively, exit from the whole script in another.sh:

    exit 1
    

    Then:

    $ ./foo.sh
    Inside another.sh
    $ echo $?
    1
    
    • 0
    • Reply
    • Share
      Share
      • Share on Facebook
      • Share on Twitter
      • Share on LinkedIn
      • Share on WhatsApp
      • Report

Sidebar

Related Questions

Consider this code: function Foo(ds as OtherDLL.BaseObj) dim lngRowIndex as long dim lngColIndex as
Consider the following code: function Dog() { this.foo = function() {}; this.walk = function()
Consider this code class Foo { private: Bar bar; //note: no reference public: Foo(Bar&
Consider this simple code: int foo = 4; double d1 = sin (foo); double
Consider this code: val foo = if(true) new java.lang.Double(4) else new java.lang.Integer(4) The inferred
Consider this: class Foo{ void func1(){ /*func1 code*/ } void func2(){ /*func2 code*/ }
Consider this x86 assembly code: section .data foo: mov ebx, [boo] mov [goo], ebx
Consider this code: struct foo { int a; }; foo q() { foo f;
Consider class Foo { public $att; public function __construct ( $a ) { $this->att
Consider a question Which segment of abc.o contains function foo()? Is this the same

Explore

  • Home
  • Add group
  • Groups page
  • Communities
  • Questions
    • New Questions
    • Trending Questions
    • Must read Questions
    • Hot Questions
  • Polls
  • Tags
  • Badges
  • Users
  • Help
  • SEARCH

Footer

© 2021 The Archive Base. All Rights Reserved
With Love by The Archive Base

Insert/edit link

Enter the destination URL

Or link to existing content

    No search term specified. Showing recent items. Search or use up and down arrow keys to select an item.